/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Original Code is DigitalSesame
 * Portions created by DigitalSesame are Copyright (C) 1997-2000 DigitalSesame
 * All Rights Reserved.
 * 
 * Contributor(s):
 *     Rex Tsai <chihchun@digitalsesame.com>
 *     David Li <david@digitalsesam.com>
 * 
 * $Id: XHTMLFormElementImpl.java,v 1.2 2004/02/22 05:03:01 jkjome Exp $
 */

package org.enhydra.xml.xhtml.dom.xerces;

import org.w3c.dom.*;
import org.w3c.dom.html.*;

import org.enhydra.xml.xhtml.dom.*;

public class XHTMLFormElementImpl 
    extends XHTMLElementImpl 
    implements org.enhydra.xml.xhtml.dom.XHTMLFormElement 
{

    public XHTMLFormElementImpl (XHTMLDocumentBase owner, String namespaceURI, String tagName) {
	super( owner, namespaceURI, tagName);
    }

    /*
     * Explicit implementation of getChildNodes() to avoid problems with
     * overriding the getLength() method hidden in the super class.
     */
    public NodeList getChildNodes() {
        return getChildNodesUnoptimized();
    }

        public void setId (String newValue) {
	setAttribute("id", newValue);
    }

    public String getId () {
	return getAttribute ("id");
    }
    public void setLang (String newValue) {
	setAttribute("lang", newValue);
    }

    public String getLang () {
	return getAttribute ("lang");
    }
    public void setDir (String newValue) {
	setAttribute("dir", newValue);
    }

    public String getDir () {
	return getAttribute ("dir");
    }
    public void setClassName (String newValue) {
	setAttribute("class", newValue);
    }

    public String getClassName () {
	return getAttribute ("class");
    }
    public void setTitle (String newValue) {
	setAttribute("title", newValue);
    }

    public String getTitle () {
	return getAttribute ("title");
    }
    public void setName (String newValue) {
	setAttribute("name", newValue);
    }

    public String getName () {
	return getAttribute ("name");
    }
    public void setMethod (String newValue) {
	setAttribute("method", newValue);
    }

    public String getMethod () {
	return getAttribute ("method");
    }
    public void setTarget (String newValue) {
	setAttribute("target", newValue);
    }

    public String getTarget () {
	return getAttribute ("target");
    }
    public void setAcceptCharset (String newValue) {
	setAttribute("accept-charset", newValue);
    }

    public String getAcceptCharset () {
	return getAttribute ("accept-charset");
    }
    public void setAction (String newValue) {
	setAttribute("action", newValue);
    }

    public String getAction () {
	return getAttribute ("action");
    }
    public void setEnctype (String newValue) {
	setAttribute("enctype", newValue);
    }

    public String getEnctype () {
	return getAttribute ("enctype");
    }
    public void setOnKeyUp (String newValue) {
	setAttribute("onkeyup", newValue);
    }

    public String getOnKeyUp () {
	return getAttribute ("onkeyup");
    }
    public void setStyle (String newValue) {
	setAttribute("style", newValue);
    }

    public String getStyle () {
	return getAttribute ("style");
    }
    public void setOnMouseDown (String newValue) {
	setAttribute("onmousedown", newValue);
    }

    public String getOnMouseDown () {
	return getAttribute ("onmousedown");
    }
    public void setOnKeyPress (String newValue) {
	setAttribute("onkeypress", newValue);
    }

    public String getOnKeyPress () {
	return getAttribute ("onkeypress");
    }
    public void setOnDblClick (String newValue) {
	setAttribute("ondblclick", newValue);
    }

    public String getOnDblClick () {
	return getAttribute ("ondblclick");
    }
    public void setOnKeyDown (String newValue) {
	setAttribute("onkeydown", newValue);
    }

    public String getOnKeyDown () {
	return getAttribute ("onkeydown");
    }
    public void setOnMouseMove (String newValue) {
	setAttribute("onmousemove", newValue);
    }

    public String getOnMouseMove () {
	return getAttribute ("onmousemove");
    }
    public void setOnMouseUp (String newValue) {
	setAttribute("onmouseup", newValue);
    }

    public String getOnMouseUp () {
	return getAttribute ("onmouseup");
    }
    public void setXmlLang (String newValue) {
	setAttribute("xml:lang", newValue);
    }

    public String getXmlLang () {
	return getAttribute ("xml:lang");
    }
    public void setOnMouseOut (String newValue) {
	setAttribute("onmouseout", newValue);
    }

    public String getOnMouseOut () {
	return getAttribute ("onmouseout");
    }
    public void setOnClick (String newValue) {
	setAttribute("onclick", newValue);
    }

    public String getOnClick () {
	return getAttribute ("onclick");
    }
    public void setOnMouseOver (String newValue) {
	setAttribute("onmouseover", newValue);
    }

    public String getOnMouseOver () {
	return getAttribute ("onmouseover");
    }
    public void setAccept (String newValue) {
	setAttribute("accept", newValue);
    }

    public String getAccept () {
	return getAttribute ("accept");
    }
    public void setOnReset (String newValue) {
	setAttribute("onreset", newValue);
    }

    public String getOnReset () {
	return getAttribute ("onreset");
    }
    public void setOnsubmit (String newValue) {
	setAttribute("onsubmit", newValue);
    }

    public String getOnsubmit () {
	return getAttribute ("onsubmit");
    }
;

        public HTMLCollection getElements()
    {
        if ( _elements == null )
            _elements = new XHTMLCollectionImpl( this, XHTMLCollectionImpl.ELEMENT );
        return _elements;
    }
  
    public int getLength()
    {
        return getElements().getLength();
    }
  
    public void submit()
    {
        // No scripting in server-side DOM. This method is moot.
    }

    
    public void reset()
    {
        // No scripting in server-side DOM. This method is moot.
    }

    /**
     * Collection of all elements contained in this FORM.
     */
    private XHTMLCollectionImpl    _elements;


;
}


