/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Original Code is DigitalSesame
 * Portions created by DigitalSesame are Copyright (C) 1997-2000 DigitalSesame
 * All Rights Reserved.
 * 
 * Contributor(s):
 *     Rex Tsai <chihchun@digitalsesame.com>
 *     David Li <david@digitalsesam.com>
 * 
 * $Id: XHTMLIFrameElementImpl.java,v 1.1.1.1 2003/03/10 16:36:11 taweili Exp $
 */

package org.enhydra.xml.xhtml.dom.xerces;

import org.w3c.dom.*;
import org.w3c.dom.html.*;

import org.enhydra.xml.xhtml.dom.*;
import org.enhydra.xml.dom.DOMOps;

public class XHTMLIFrameElementImpl 
    extends XHTMLElementImpl 
    implements org.enhydra.xml.xhtml.dom.XHTMLIFrameElement 
{

    public XHTMLIFrameElementImpl (XHTMLDocumentBase owner, String namespaceURI, String tagName) {
	super( owner, namespaceURI, tagName);
    }

        public void setId (String newValue) {
	setAttribute("id", newValue);
    }

    public String getId () {
	return getAttribute ("id");
    }
    public void setLang (String newValue) {
	setAttribute("lang", newValue);
    }

    public String getLang () {
	return getAttribute ("lang");
    }
    public void setDir (String newValue) {
	setAttribute("dir", newValue);
    }

    public String getDir () {
	return getAttribute ("dir");
    }
    public void setClassName (String newValue) {
	setAttribute("class", newValue);
    }

    public String getClassName () {
	return getAttribute ("class");
    }
    public void setTitle (String newValue) {
	setAttribute("title", newValue);
    }

    public String getTitle () {
	return getAttribute ("title");
    }
    public void setName (String newValue) {
	setAttribute("name", newValue);
    }

    public String getName () {
	return getAttribute ("name");
    }
    public void setAlign (String newValue) {
	setAttribute("align", newValue);
    }

    public String getAlign () {
	return getAttribute ("align");
    }
    public void setHeight (String newValue) {
	setAttribute("height", newValue);
    }

    public String getHeight () {
	return getAttribute ("height");
    }
    public void setWidth (String newValue) {
	setAttribute("width", newValue);
    }

    public String getWidth () {
	return getAttribute ("width");
    }
    public void setFrameBorder (String newValue) {
	setAttribute("frameborder", newValue);
    }

    public String getFrameBorder () {
	return getAttribute ("frameborder");
    }
    public void setLongDesc (String newValue) {
	setAttribute("longdesc", newValue);
    }

    public String getLongDesc () {
	return getAttribute ("longdesc");
    }
    public void setMarginHeight (String newValue) {
	setAttribute("marginheight", newValue);
    }

    public String getMarginHeight () {
	return getAttribute ("marginheight");
    }
    public void setMarginWidth (String newValue) {
	setAttribute("marginwidth", newValue);
    }

    public String getMarginWidth () {
	return getAttribute ("marginwidth");
    }
    public void setScrolling (String newValue) {
	setAttribute("scrolling", newValue);
    }

    public String getScrolling () {
	return getAttribute ("scrolling");
    }
    public void setSrc (String newValue) {
	setAttribute("src", newValue);
    }

    public String getSrc () {
	return getAttribute ("src");
    }
    public void setStyle (String newValue) {
	setAttribute("style", newValue);
    }

    public String getStyle () {
	return getAttribute ("style");
    }
    
    /** @see HTMLIFrameElement#getContentDocument() */
    public  Document getContentDocument() {
	return DOMOps.getContentDocument(this);
    }

}


