/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: DOMError.java,v 1.1.1.1 2003/03/10 16:36:15 taweili Exp $
 */

package org.enhydra.xml.dom;

/**
 * Error for DOM methods.
 */
public class DOMError extends org.enhydra.error.ChainedError {
    /**
     * Construct an error without a specified cause.
     *
     * @param msg The message associated with the error.
     */
    public DOMError(String msg) {
        super(msg);
    }

    /**
     * Construct an error with an associated causing error.
     *
     * @param msg The message associated with the error.
     * @param cause The error or error that cause this
     *  error.
     */
    public DOMError(String msg,
                    Throwable cause) {
        super(msg, cause);
    }

    /**
     * Construct an error from a causing error.
     *
     * @param cause The error or error that cause this
     *  error. The message will be take be this object's
     *  messasge.
     */
    public DOMError(Throwable cause) {
        super(cause);
    }
}
