/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: URLRewriter.java,v 1.1.1.1 2003/03/10 16:36:17 taweili Exp $
 */

package org.enhydra.xml.io;

/**
 * Interface for a URL rewritting object that can be supplied by as part of
 * the OutputOptions.  The rewriteURL function is called on the value of each
 * attribute that can has been defined as taking a URL.
 */
public interface URLRewriter {
    /**
     * Rewrite a URL.  This is called on every attribute that may contain a
     * URL.  This method must either be reentrant or synchronized (generally
     * not a good idea).
     * @param urlAttrValue The value of the URL attribute
     * @return The updated or unchanged URL.
     * @see DocumentInfo
     * @see OutputOptions
     */
    public String rewriteURL(String urlAttrValue);
}
