/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: DocBuilderGenerator.java,v 1.1.1.1 2003/03/10 16:36:21 taweili Exp $
 */

package org.enhydra.xml.xmlc.dom;

import org.enhydra.xml.xmlc.XMLCException;
import org.enhydra.xml.xmlc.compiler.ElementTable;
import org.enhydra.xml.xmlc.compiler.ElementTable;
import org.enhydra.xml.xmlc.codegen.JavaClass;
import org.enhydra.xml.xmlc.codegen.JavaMethod;
import org.w3c.dom.Document;

/**
 * Interface for DOM-specific class that generates code to build part the
 * document tree.
 */
public interface DocBuilderGenerator {
    /**
     * Generate the document builder.  The generated method must call
     * XMLObjectImpl.setDocument() to set the document and encoding.
     *
     * @param document The document that is being built.
     * @param accessorGenerator The accessor generator for the DOM in use.
     * @param elementTable The table of element information.
     * @param docClass The document class being generated.
     * @param buildDocumentMethod The buildDocument() method being generated.
     */
    public void createBuildDocumentMethod(XMLCDocument xmlcDoc,
                                          AccessorGenerator accessorGenerator,
                                          ElementTable elementTable,
                                          JavaClass docClass,
                                          JavaMethod buildDocumentMethod) throws XMLCException;
}
