/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: HTMLCompatibility.java,v 1.1.1.1 2003/03/10 16:36:23 taweili Exp $
 */

package org.enhydra.xml.xmlc.metadata;

import org.w3c.dom.*;

/**
 * Enables compatibility with the way older version of XMLC handled HTML.
 */
public class HTMLCompatibility extends MetaDataElement {
    /**
     * Element name.
     */
    public static final String TAG_NAME = "compatibility";

    /**
     * Attribute names.
     */
    private static final String OLD_CLASS_CONSTANTS_ATTR = "oldClassConstants";
    private static final String OLD_NAME_CONSTANTS_ATTR = "oldNameConstants";

    /**
     * Constructor.
     */
    public HTMLCompatibility(Document ownerDoc) {
    	super(ownerDoc, TAG_NAME);
    }

    /**
     * Get the oldClassConstants attribute value.
     */
    public boolean getOldClassConstants() {
        return getBooleanAttribute(OLD_CLASS_CONSTANTS_ATTR);
    }

    /**
     * Set the oldClassConstants attribute value.
     */
    public void setOldClassConstants(boolean value) {
        setBooleanAttribute(OLD_CLASS_CONSTANTS_ATTR, value);
    }

    /**
     * Get the oldNameConstants attribute value.
     */
    public boolean getOldNameConstants() {
        return getBooleanAttribute(OLD_NAME_CONSTANTS_ATTR);
    }

    /**
     * Set the oldNameConstants attribute value.
     */
    public void setOldNameConstants(boolean value) {
        setBooleanAttribute(OLD_NAME_CONSTANTS_ATTR, value);
    }
}
