/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: XCatalog.java,v 1.1.1.1 2003/03/10 16:36:23 taweili Exp $
 */

package org.enhydra.xml.xmlc.metadata;

import org.w3c.dom.*;

/**
 * Specifies a XCatalog file to use in resolving external entities when
 * parsing XML files.  This element maybe specified multiple times. The
 * catalogs will be search in the order specified.
 */
public class XCatalog extends MetaDataElement {
    /**
     * Element name.
     */
    public static final String TAG_NAME = "xcatalog";

    /**
     * Attribute names.
     */
    private static final String URL_ATTR = "url";

    /**
     * Constructor.
     */
    public XCatalog(Document ownerDoc) {
    	super(ownerDoc, TAG_NAME);
    }

    /**
     * Get the url attribute value.
     */
    public String getUrl() {
        return getAttributeNull(URL_ATTR);
    }

    /**
     * Set the url attribute value.
     */
    public void setUrl(String value) {
        setRemoveAttribute(URL_ATTR, value);
    }
}
