/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: Print.java,v 1.1.1.1 2003/03/10 16:36:27 taweili Exp $
 */

package org.enhydra.xml.oasis;

import java.util.ArrayList;
import java.io.PrintWriter;
import java.io.IOException;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.Attributes;
import org.enhydra.xml.io.ErrorReporter;

/**
 * Class with utility methods for printing out
 */
final class Print {
    /**
     * Utility method to print with indentation.
     */
    protected static void printIndented(PrintWriter writer,
                                        int indent,
                                        String str) {
        for (int cnt = 0; cnt < indent; cnt++) {
            writer.print("  ");
        }
        writer.print(str);
    }

    /**
     * Utility method to print with indentation plus a newline.
     */
    protected static void printlnIndented(PrintWriter writer,
                                          int indent,
                                          String str) {
        printIndented(writer, indent, str);
        writer.println();
    }
}
