/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: TestLazyDOMFactory.java,v 1.1.1.1 2003/03/10 16:37:13 taweili Exp $
 */

package org.enhydra.xml.xmlc.xml;

import org.enhydra.xml.xmlc.dom.lazydom.LazyDomFactory;
import org.enhydra.xml.lazydom.TemplateDOM;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Document;

/**
 * Class for testing -domfactory functionality.
 */
public class TestLazyDOMFactory extends LazyDomFactory {
    /**
     * Create a test XML document.
     */
    public Document createDocument(String namespaceURI,
                                   String qualifiedName,
                                   DocumentType docType) {
        Document doc = new TestLazyDOMDocument(docType, null);
        // Create the document element
        doc.appendChild(doc.createElementNS(namespaceURI, qualifiedName));
        return doc;
    }

    /**
     * Create a test XML document from a template.
     */
    public Document createDocument(TemplateDOM templateDOM) {
        return new TestLazyDOMDocument(null, templateDOM);
    }

    /**
     * @see XMLCDomFactory#getInterfaceNames
     */
    public String[] getInterfaceName() {
        return new String[] {TestDocument.class.getName()};
    }
}
